"""
Version information for hyperxql package
"""

__version__ = "2.0.1"
VERSION = "2.0.1"

# Version history
# 0.1.0 - Initial release
# 0.2.0 - Added database path validation and auto-correction
# 0.3.0 - Added interactive AI database agent
# 1.0.0 - First stable release with core functionality and basic CLI
# 2.0.0 - Major update with the following improvements:
#        - Added advanced HyperXQL Agent with autonomous reasoning capabilities
#        - Improved query understanding through multi-step thinking process
#        - Enhanced CLI with new commands for database analysis and management
#        - Added real-time schema visualization and relationship inference
#        - Improved database compatibility with PostgreSQL, MySQL, and SQLite
#        - Added query optimization techniques for better performance
#        - Enhanced error handling and recovery mechanisms
#        - Added support for interactive mode in CLI
#        - Integrated with latest LLM models from Together AI and OpenAI
#        - Implemented dynamic database schema analysis for better query generation
#        - Added support for complex queries with joins, aggregations, and subqueries
#        - Enhanced Web UI with interactive schema visualization
#        - Added detailed query explanation with step-by-step reasoning
#        - Improved security with parameterized queries and input validation
# 2.0.1 - Fixed version consistency and updated documentation
